osg::PagedLOD::PerRangeData Struct Reference

`#include <PagedLOD>`

## Public Member Functions

| PerRangeData ()
| PerRangeData (const PerRangeData &prd)
PerRangeData & | operator= (const PerRangeData &prd)

## Public Attributes

std::string | _filename
float | _priorityOffset
float | _priorityScale
double | _minExpiryTime
unsigned int | _minExpiryFrames
double | _timeStamp
unsigned int | _frameNumber
unsigned int | _frameNumberOfLastReleaseGLObjects
osg::ref_ptr< osg::Referenced > | _databaseRequest

## Constructor & Destructor Documentation

## PerRangeData() [1/2]

osg::PagedLOD::PerRangeData::PerRangeData | ( |  | ) |

Referenced by operator=(), and PerRangeData().

## PerRangeData() [2/2]

osg::PagedLOD::PerRangeData::PerRangeData | ( | const PerRangeData & | prd | ) |

References PerRangeData().

## Member Function Documentation

## operator=()

PerRangeData & osg::PagedLOD::PerRangeData::operator= | ( | const PerRangeData & | prd | ) |

References PerRangeData().

## Member Data Documentation

## _databaseRequest

osg::ref_ptr<osg::Referenced> osg::PagedLOD::PerRangeData::_databaseRequest

## _filename

std::string osg::PagedLOD::PerRangeData::_filename

## _frameNumber

unsigned int osg::PagedLOD::PerRangeData::_frameNumber

## _frameNumberOfLastReleaseGLObjects

unsigned int osg::PagedLOD::PerRangeData::_frameNumberOfLastReleaseGLObjects

## _minExpiryFrames

unsigned int osg::PagedLOD::PerRangeData::_minExpiryFrames

## _minExpiryTime

double osg::PagedLOD::PerRangeData::_minExpiryTime

## _priorityOffset

float osg::PagedLOD::PerRangeData::_priorityOffset

## _priorityScale

float osg::PagedLOD::PerRangeData::_priorityScale

## _timeStamp

double osg::PagedLOD::PerRangeData::_timeStamp

The documentation for this struct was generated from the following file:

- PagedLOD